<?php
define('ROOT','../');
define('GCMS',true);
require_once (ROOT.'system/power.php');
if ($id) {
$type = $db -> query("SELECT `id`,`name` FROM `book_razdel` WHERE `id` = '".$id."'");
if ($type -> num_rows > 0) $the = $type -> fetch_assoc(); else $the = false;
} else $the = false;
if($the==true){
//Выводим разделы
$diz -> head('Статьи');
$diz -> title("<a href='./'>Библиотека</a>/<b>$the[name]</b>");
$count = $db -> dbcount('COUNT(`id`)','books',"`razdel` = '".$id."'");
if ($count > 0) {
$num = isset($ya['num']) ? $ya['num'] : 10;
$total = intval(($count - 1) / $num) + 1; 
if (!isset($_GET['page']) || !is_numeric($_GET['page']) || $_GET['page'] < 1 )
{
$page = 1;
} elseif($_GET['page'] > $total)
{ $page = $total;
} else $page = (int)$_GET['page'];
$start = $page * $num - $num;
$for = $db -> query("SELECT * FROM `books` WHERE `razdel` = '".$id."' order by `time` DESC  LIMIT ".$start.",".$num);
while ($assoc = $for -> fetch_assoc()) {
$poster = $db -> dbcount('login','users',"`id` = '".$assoc['user']."'");
$msg .= '<div class="post"><a href="book'.$assoc['id'].'">'.$assoc['name'].'</a> (Прочитано '.$assoc['red'].' раз)
<br/>Автор: <a href="'.ROOT.'my/id'.$assoc['user'].'">'.$poster.'</a>';
$kom = $db -> dbcount('COUNT(`id`)','comes',"`idwh` = '".$assoc['id']."' and `where`='books'");
$msg .= '</br><a href="com'.$assoc['id'].'">Комментарии</a> (<b>'.$kom.'</b>)</br>';
$msg.='</div>';}
$act = 'razdel.php?id='.$id;
$msg .= ''.$func -> pagenav($act,$page,$total).'';
} else {
$msg = '';
$msg .= 'Статей пока что нет';
}
$msg .= '<div class="levo">'.$diz -> img('home.png').'<a href="/">На главную</a></div>';
#####Копирайт#######
require_once ('../system/kopy.php');
$diz -> out($msg);
}else{
$diz -> head('Ошибка');
$diz -> title("<a href='./'>Библиотека</a>");
$msg .='Запрашиваемый раздел не существует или был удалён!';
$msg .= '<div class="levo">'.$diz -> img('home.png').'<a href="/">На главную</a></div>';
#####Копирайт#######
require_once ('../system/kopy.php');
$diz -> out($msg);   
}
?>